Bug 907364 - fitplot option not working in Fedora18 when printed a document
Summary: fitplot option not working in Fedora18 when printed a document
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 18
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-04 08:23 UTC by Sanjay Kumar
Modified: 2014-02-05 18:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 18:51:06 UTC


Attachments (Terms of Use)
Debian 6.02 and Fedora 18 error logs and PS outputs and Document used for printing. (64.62 KB, application/octet-stream)
2013-02-04 08:23 UTC, Sanjay Kumar
no flags Details
Test Document used for testing (18.29 KB, application/pdf)
2013-02-04 17:46 UTC, Sanjay Kumar
no flags Details
error logs (4.06 KB, application/x-gzip-compressed)
2013-02-04 18:17 UTC, Sanjay Kumar
no flags Details
ps outputs (45.54 KB, application/x-gzip-compressed)
2013-02-04 18:18 UTC, Sanjay Kumar
no flags Details

Description Sanjay Kumar 2013-02-04 08:23:50 UTC
Created attachment 692653 [details]
Debian 6.02 and Fedora 18 error logs and PS outputs and Document used for printing.

Description of problem:
Unable to perform fitplot in a PDF document.

Version-Release number of selected component (if applicable):
Fedora 18

How reproducible:
1) Create any HP PS printer print queue (e.g HP Laserjet m9040) and make it default queue.
2) Download the attached output.pdf document from the attachment to e.g  ~.Desktop directory.
3) Run following command and see the printed output.
     lpr -o "Pagesize=A4 fitplot"
4) "fitplot" is not applied and hence some part of the data gets clipped.

Steps to Reproduce:
1) Create any HP PS printer print queue (e.g HP Laserjet m9040) and make it default.
2) Download the attached output.pdf document from the attachment to say ~.Desktop directory.
3) Run following command and see the printed uoutput.
     lpr -o "Pagesize=A4 fitplot"

Actual results:
"fitplot" is not applied and some part of the data gets clipped.


Expected results:
"fitplot" should be applied correctly and data should not get clipped.


Additional info:
Repeated the same process with Debian 6.06 and there is no clipping. While debugging more following things were observed.
1)In Fedora 18. Following filter chain is invoked.
   pdftops ---> hpps --> hp
  However in Debian following filter chain is used.
   pdftopdf ---> cpdftocps ---> hpps ---> hp

2)When I opened the cpdftocps of Debian 6.06(script), I can see fitplot getting applied there however somehow pdftops filter  in Fedora 18 is not able to apply fitplot correctly.

3)PLease see in the attachment error logs of debian 6.06  and fedora 18. Also please see the PS output from Fedora18 and Debian 6.06 for the same printer when printed with same document and command.

Comment 1 Tim Waugh 2013-02-04 16:32:07 UTC
Please attach the documents in a non-proprietary archive format (such as tar), or as separate attachments.  Thanks.

Comment 2 Sanjay Kumar 2013-02-04 17:46:19 UTC
Created attachment 692906 [details]
Test Document used for testing

Document used for printing: output.pdf

Comment 3 Sanjay Kumar 2013-02-04 18:17:37 UTC
Created attachment 692934 [details]
error logs

Comment 4 Sanjay Kumar 2013-02-04 18:18:40 UTC
Created attachment 692935 [details]
ps outputs

Comment 5 Tim Waugh 2013-02-08 17:04:10 UTC
This seems to be due to the way the pdftops CUPS filter wraps the poppler pdftops command; it doesn't seem to be able to honour the fitplot or fit-to-page options without breaking landscape printing.

I think the new cups-filters package, which introduces the CUPS PDF workflow, should make things better.  That's in rawhide and will be in Fedora 19.

Comment 6 Sanjay Kumar 2013-02-08 17:24:36 UTC
Thanks a lot Tim. We will test this issue in Fedora 19.

Comment 7 Fedora End Of Life 2013-12-21 11:07:44 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2014-02-05 18:51:06 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.